Bug 1271253 - (CVE-2014-8178) CVE-2014-8178 docker: Attacker controlled layer IDs lead to local graph content poisoning
CVE-2014-8178 docker: Attacker controlled layer IDs lead to local graph conte...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151013,reported=2...
: Security
Depends On: 1271259 1271260 1271261
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 09:38 EDT by Trevor Jay
Modified: 2016-10-16 23:08 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 10:01:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor Jay 2015-10-13 09:38:13 EDT
Docker image layers are stored with a non-globally unique identifier vulnerable to a collision attack. These identifiers are shared during docker pull and push, allowing poisoning of a host's image cache. This allows maliciously crafted images to poison subsequently pulled images.

Independently discovered by Florian Weimer of Red Hat and Tõnis Tiigi of the Docker Engine Tem.
Comment 2 Trevor Jay 2015-10-13 09:48:47 EDT
Created docker-io tracking bugs for this issue:

Affects: fedora-all [bug 1271261]
Comment 3 Trevor Jay 2015-10-13 10:01:37 EDT
This issue is exploitable by malicious Docker images. Red Hat supports images from it's own registry, ISV images certified by the Red Hat certification program, and images using qualified customer content.

Marking this vulnerability and its children as "WONTFIX".
Comment 4 Daniel Walsh 2015-10-13 10:08:33 EDT
We will get the fix from docker when we release docker-1.9.
Comment 5 Vincent Danen 2015-10-15 13:22:52 EDT
Statement:

This issue is exploitable by malicious Docker images. Red Hat supports images from it's own registry, ISV images certified by the Red Hat certification program, and images using qualified customer content.
Comment 6 Trevor Jay 2016-10-16 23:08:28 EDT
Fixed in 1.8.3 and greater.

Note You need to log in before you can comment on or make changes to this bug.